Modify

Opened 8 years ago

Last modified 3 years ago

#5381 reopened defect

mouse cursor not always what it should be

Reported by: dieterdreist Owned by: dieterdreist
Priority: normal Milestone:
Component: Core Version: latest
Keywords: mouse pointer Cc:

Description (last modified by skyper)

Since some versions the mousecursor (e.g. add node) is not always indicating the mode. Sometimes (also after a while) it gets a normal arrow-pointer.

Attachments (0)

Change History (9)

comment:1 Changed 8 years ago by stoecker

Owner: changed from team to dieterdreist
Status: newneedinfo

Please try to make it reproducable. What needs to be done to get it wrong. Whenever it gets wrong try to reproduce your previous steps as exactly as possible and when you get it reproducable post necessary steps here.

comment:2 in reply to:  1 Changed 8 years ago by dieterdreist

Replying to stoecker:

Please try to make it reproducable. What needs to be done to get it wrong. Whenever it gets wrong try to reproduce your previous steps as exactly as possible and when you get it reproducable post necessary steps here.

I'm not completely sure (happens after quite a lot of editing) what leads to this, but happened several times recently (past few days but never before in the past). It might be associated with the select-mode-"plus(+)"-feature. E.g. the add-node-cursor is replaced by the normal arrow after a while.

comment:3 Changed 7 years ago by stoecker

Resolution: irreproducible
Status: needinfoclosed

Reopen when reproducible.

comment:4 Changed 7 years ago by rickmastfan67

Resolution: irreproducible
Status: closedreopened

I think I can reproduce something similar to this that might help.

I was just playing around and somehow did it. Then I try the same thing again and was able to reproduce it 9 times out of every 10.

Here's how to do it.

  1. Download a small area into JOSM.
  2. Hit the "s" button to be able to select nodes.
  3. Right click on the screen (doesn't matter where) and almost simultaneously click the left click button once the pan cursor shows up.

Results:
The panning image for the right click of the select mode (s) gets locked and will not go back to the normal select mode mouse cursor unless you select another mode.

It might take a couple of tries to get this to happen, but it does happen. And it was just luck that I discovered this and also noticing this ticket get closed today.

comment:5 Changed 7 years ago by stoecker

Resolution: fixed
Status: reopenedclosed

In [3919/josm]:

unify cursor handling, hopefully fix #5381

comment:6 Changed 6 years ago by skyper

Description: modified (diff)
Resolution: fixed
Status: closedreopened

I noticed this bug again lately. Sorry can not reproduce right now but I did indeed download several small areas. The cursor locks as arrow pointing NW without rectangle. Switching modes usually unlocks it again.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-11-20 02:31:11
Last Changed Author: simon04
Revision: 5593
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-11-19 11:36:21 +0100 (Mon, 19 Nov 2012)
Last Changed Rev: 5593

Identification: JOSM/1.5 (5593 en)
Memory Usage: 433 MB / 643 MB (228 MB allocated, but free)
Java version: 1.6.0_24, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux
Dataset consistency test: No problems found
Last edited 6 years ago by skyper (previous) (diff)

comment:7 Changed 5 years ago by skyper

Just happened again. Different machine same system. This time with some plugins installed and an detached image view. I have four layers (one geotagged images, one gpx single track, one data and one imagery layer). Did not download this time and changing modes did not help but changing windows with WM.

gnome3, nvidia-dkms

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-12-28 02:31:39
Last Changed Author: framm
Revision: 5639
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-12-28 02:16:10 +0100 (Fri, 28 Dec 2012)
Last Changed Rev: 5639

Identification: JOSM/1.5 (5639 en)
Memory Usage: 341 MB / 1820 MB (205 MB allocated, but free)
Java version: 1.6.0_24, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux
Dataset consistency test: No problems found

Plugin: ColumbusCSV (28043)
Plugin: PicLayer (28807)
Plugin: log4j (28968)
Plugin: mirrored_download (28939)
Plugin: routing (unknown)
Plugin: terracer (29047)
Plugin: utilsplugin2 (29124)
Last edited 5 years ago by skyper (previous) (diff)

comment:8 Changed 5 years ago by skyper

Just happened again right after download. Did not delete preferences yesterday. If there is any more infomation needed, please tell me what you need.

comment:9 Changed 3 years ago by michael2402

Still in the current version. Happens after switching a lot between Add and Select (and having some selection active): Sometimes the cursor info just gets lost and is the default mouse pointer.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as reopened The owner will remain dieterdreist.
as The resolution will be set.
to The owner will be changed from dieterdreist to the specified user.
The owner will change to dieterdreist
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.